//
//  ELTPMSHeader.h
//  Elink
//
//  Created by iot_user on 2019/6/10.
//  Copyright © 2019 iot_iMac. All rights reserved.
//

#ifndef ELTPMSHeader_h
#define ELTPMSHeader_h

typedef NS_ENUM(NSUInteger, TPMSTyreUnitType) {
    TPMSTyreUnitType_Bar = 0,
    TPMSTyreUnitType_Psi = 1,
    TPMSTyreUnitType_Kpa = 2,
};

typedef NS_ENUM(NSUInteger, TPMSTempUnitType) {
    TPMSTempUnitType_C = 0,
    TPMSTempUnitType_F = 1
};

typedef NS_ENUM(NSUInteger, TPMSWheelTyreType) {
    TPMSWheelTyreTypeNormal       = 0,//normal(正常)
    TPMSWheelTyreTypeLow          = 1,//Low pressure(胎压过低)
    TPMSWheelTyreTypeHigh         = 2,//High pressure(胎压过高)
};
//Air leak, high temperature, high tire pressure, low tire pressure, low battery(漏气、温度过高、胎压过高、胎压过低、电量低)
typedef NS_ENUM(NSUInteger, TPMSWheelExceptionType) {
    TPMSWheelExceptionTypeNormal       = 0, //normal(正常)
    TPMSWheelExceptionTypeAirLeakage   = 1, //Air leak(漏气)
    TPMSWheelExceptionTypeTempHigh     = 2, //high temperature(温度过高)
    TPMSWheelExceptionTypeTyreHigh     = 3, //high tire pressure(胎压过高)
    TPMSWheelExceptionTypeTyreLow      = 4, //low tire pressure(胎压过低)
    TPMSWheelExceptionTypeLowPower     = 5, //low battery(电量低)
    TPMSWheelExceptionTypeNoSignal     = 6, //no signal(无信号)
};



#define TPMSTyreUnitDic @{\
@(TPMSTyreUnitType_Bar):@"Bar",\
@(TPMSTyreUnitType_Psi):@"Psi",\
@(TPMSTyreUnitType_Kpa):@"Kpa"\
}\

#define TPMSTempUnitDic @{@(TPMSTempUnitType_C):@"℃",@(TPMSTempUnitType_F):@"℉"}


#define TPMSTyreUnit_Bar @"Bar"
#define TPMSTyreUnit_Psi @"Psi"
#define TPMSTyreUnit_Kpa @"Kpa"

#define TPMSTempUnit_C @"℃"
#define TPMSTempUnit_F @"℉"

#define Kpa_To_Bar  0.01
#define Kpa_To_Psi  0.1450377
#define Bar_TO_Kpa  100
#define Bar_TO_Psi  14.5037744

#define C_TO_F(C)                    (C*1.8+32)     //F = C*1.8 + 32
#define F_To_C(F)                    ((F-32)/1.8)
#endif /* ELTPMSHeader_h */
